#! /bin/awk -f

#####
#
# verseData.awk
# MDJ 2022/03/30
#
# Reads the verseData.csv file
#   (taken from the VerseData
#   table of the VerseData 
#   MS Access Database on Doc)
#   That table includes one
#   line per KJV chapter.
#
# And outputs the verseList.csv
#   file which includes one
#   line per KJV verse.
#
# To Run:
#   cd /media/mdavidjohnson/Elements/workingdir/Bible/verseData
#   verseData.awk verseData.csv
#
#####

# verseData input:
#   $1 = ID  = ID
#   $2 = RNC = RunNumChapters
#   $3 = BA  = BookAbbrev
#   $4 = CN  = ChapterNum
#   $5 = NV  = NumVerses
#   $6 = NPV = NumPrevVerses
#   $7 = RNV = RunNumVerses

# verseList output:
#   ID  = ID (Uses RVN)
#   RVN = RunVerseNum
#   BA  = BookAbbrev
#   CN  = ChapterNum
#   VN  = VerseNum

BEGIN {
	# Specify the csv Field Delimiter
	FS = ","
	# Running Verse Number
	RVN = 0
	print " "
	print "Start of verseData Expansion Run"
	print " "
}

{
	print $0
	for(j=1; j<=$5; j++)
	{
		RVN = RVN + 1
		RecordData = RVN "," RVN "," $3 "," $4 "," j
		print "\t" RecordData
		if (RVN == 1)
		{
			print RecordData > "/media/mdavidjohnson/Elements/workingdir/Bible/verseData/verseList.csv"
		}
		else
		{
			print RecordData >> "/media/mdavidjohnson/Elements/workingdir/Bible/verseData/verseList.csv"
		}
	}
}

END {
	print " "
	print "End of verseData Expansion Run"		
	print " "
}

#####
#
# EOF
#
#####
